Bug 497727 - gdm should check user's home directory exists before login
gdm should check user's home directory exists before login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 11:31 EDT by Earth
Modified: 2015-01-14 18:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Earth 2009-04-26 11:31:27 EDT
gdm should check if the user's home directory exists before continuing with login, and warn the user if it does not exist. This might happen if a /home partition is not mounted

Steps to Reproduce:
1. in single user mode, umount /home
2. return to graphical desktop, telinit 5
3. try to log in
  
Actual results:
A bunch of error alerts including 'cannot set permissions on .ICEauthority' that are not indicative of the problem. The desktop never appears (no panel etc).

Expected results:
gdm warns the user that their home directory does not exist, and gives them an opportunity to cancel the login.

Additional info:
A smart gdm would help the user diagnose and fix the problem. Offer to open a [graphical] terminal for root (requiring password, obviously). The best behaviour would include
1. User fills in username and password prompts
2. gdm checks /home/user exists
   If not: Alert "/home/user was not found. This appears to be because the system's /home partition is not mounted.'
   options: mount /home now (requires root password), cancel login
3. Mount /home
4. Continue with log in as normal

[ Alternatively, should /home have been remounted when I ran telinit 5 ? ]
Comment 1 Matthias Clasen 2009-04-26 13:48:02 EDT
gdm is not a debug tool for your setup problems...
Comment 2 Bug Zapper 2009-06-09 10:36:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:56:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:13:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.